import pathlib
from setuptools import setup

# The directory containing this file
HERE = pathlib.Path(__file__).parent

# The text of the README file
with open("readme.md", "r") as fh:
    long_description = fh.read()

# This call to setup() does all the work
setup(
    name="docdecay",
    version="0.0.1",
    description="Monitor documentation for staleness",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/kshehadeh/decay",
    author="Karim Shehadeh",
    author_email="kshehadeh@underarmour.com",
    license="MIT",
    classifiers=[
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
    ],
    packages=["decay"],
    include_package_data=True,
    install_requires=["python-frontmatter", "sendgrid", "PyGithub"],
    entry_points={
        "console_scripts": [
            "decay=decay.main:main",
        ]
    },
)
